Subject: I-D Action: draft-xie-spring-srv6-npi-for-overlay-00.txt

From: [email-masked]
Date: Sun, 06 Mar 2022 22:30:10 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Network Programming Interface for Provisioning of Underlay Services to Overlay Networks Using SRv6
        Author          : Jingrong Xie
	Filename        : draft-xie-spring-srv6-npi-for-overlay-00.txt
	Pages           : 21
	Date            : 2022-03-06

Abstract:
   This document describes a framework and a detailed suite of network
   programming interface (NPI) examples for provisioning of underlay
   services to overlay networks.  It provides background by reviewing
   the growing pains that commonly faced today by enterprise for its
   flexiable WAN sites connection.  It assumes that WAN connection
   services are and will continue to be provided by multiple underlay
   networks operated by different administrative entities.  Based on the
   pains and the assumptions, this document propose to use SRv6 binding
   SIDs (BSIDs) on a transport network (TN) edge router as NPI for
   service provisioning to be accessed remotely and securely by a
   customer router that constitutes to a higher overlay network,
   including the requirements of such service, the illustration of how
   it may work, and the possible applicability of the solution.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-xie-spring-srv6-npi-for-overlay/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-xie-spring-srv6-npi-for-overlay-00

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts